org.eclipse.emf.cdo.common.lock

## Interface CDOLockChangeInfoHandler

- All Known Subinterfaces:
    InternalFailoverParticipant, InternalSynchronizableRepository

      public interface CDOLockChangeInfoHandler

  A call-back interface that indicates the ability to handle `lock-change infos` that are passed from other entities.
  Since:
    4.1
  Author:
    Caspar De Groot

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleLockChangeInfo(CDOLockChangeInfo lockChangeInfo)`

- - ### Method Detail

    - #### handleLockChangeInfo

          void handleLockChangeInfo(CDOLockChangeInfo lockChangeInfo)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html